Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2143724 - FTBFS with autoconf 2.72
Summary: FTBFS with autoconf 2.72
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Autoconf2.72
TreeView+ depends on / blocked
 
Reported: 2022-11-17 16:37 UTC by Frédéric Bérat
Modified: 2022-12-07 01:42 UTC (History)
4 users (show)

Fixed In Version: wine-7.22-2.fc37 wine-7.22-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-30 01:35:13 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Frédéric Bérat 2022-11-17 16:37:19 UTC
Autoconf 2.72 seems to be under preparation upstream, I therefore started to build dependent components to verify that they can be built once it lands in Fedora.

Your component fails to build with the new version of autoconf, due to the following error:

---
checking for __clear_cache... yes
./configure: line 21740: syntax error near unexpected token `;;'
./configure: line 21740: `    '' ;;'
error: Bad exit status from /var/tmp/rpm-tmp.LOSgoc (%build)
    Bad exit status from /var/tmp/rpm-tmp.LOSgoc (%build)
RPM build errors:
Child return code was: 1
---

From further investigation, and after discussion with autoconf mailing list, it looks like there is a quoting error in the aclocal.m4{,.cross} files.

The proposed patch is as follows, which modifies the quoting and replaces the call of AC_EGREP_CPP by a call of AC_PREPROC_IFELSE, which is sipler and more efficient.:

---
diff -U5 -r wine-7.20.old/aclocal.m4 wine-7.20/aclocal.m4
--- wine-7.20.old/aclocal.m4	2022-11-17 17:19:01.772386752 +0100
+++ wine-7.20/aclocal.m4	2022-11-17 17:24:03.721683055 +0100
@@ -279,15 +279,17 @@
 dnl
 dnl Usage: WINE_CHECK_DEFINE(name),[action-if-yes,[action-if-no]])
 dnl
 AC_DEFUN([WINE_CHECK_DEFINE],
 [AS_VAR_PUSHDEF([ac_var],[ac_cv_cpp_def_$1])dnl
-AC_CACHE_CHECK([whether we need to define $1],ac_var,
-    AC_EGREP_CPP(yes,[#ifndef $1
-yes
-#endif],
-    [AS_VAR_SET(ac_var,yes)],[AS_VAR_SET(ac_var,no)]))
+AC_CACHE_CHECK([whether we need to define $1], ac_var,
+     [AC_PREPROC_IFELSE([[
+#ifndef $1
+#error not defined
+#endif
+]],
+     [AS_VAR_SET(ac_var,yes)],[AS_VAR_SET(ac_var,no)])])
 AS_VAR_IF([ac_var],[yes],
       [CFLAGS="$CFLAGS -D$1"
   LINTFLAGS="$LINTFLAGS -D$1"])dnl
 AS_VAR_POPDEF([ac_var])])
 
diff -U5 -r wine-7.20.old/aclocal.m4.cross wine-7.20/aclocal.m4.cross
--- wine-7.20.old/aclocal.m4.cross	2022-11-17 17:19:01.035390916 +0100
+++ wine-7.20/aclocal.m4.cross	2022-11-17 17:24:49.854420729 +0100
@@ -277,14 +277,16 @@
 dnl Usage: WINE_CHECK_DEFINE(name),[action-if-yes,[action-if-no]])
 dnl
 AC_DEFUN([WINE_CHECK_DEFINE],
 [AS_VAR_PUSHDEF([ac_var],[ac_cv_cpp_def_$1])dnl
 AC_CACHE_CHECK([whether we need to define $1],ac_var,
-    AC_EGREP_CPP(yes,[#ifndef $1
-yes
-#endif],
-    [AS_VAR_SET(ac_var,yes)],[AS_VAR_SET(ac_var,no)]))
+     [AC_PREPROC_IFELSE([[
+#ifndef $1
+#error not defined
+#endif
+]],
+     [AS_VAR_SET(ac_var,yes)],[AS_VAR_SET(ac_var,no)])])
 AS_VAR_IF([ac_var],[yes],
       [CFLAGS="$CFLAGS -D$1"
   LINTFLAGS="$LINTFLAGS -D$1"])dnl
 AS_VAR_POPDEF([ac_var])])
 
---

Please review, and feedback if you have any concern.

Comment 1 Frédéric Bérat 2022-11-18 07:25:28 UTC
Please note, there may be a mistake in the proposed patch:

+     [AS_VAR_SET(ac_var,yes)],[AS_VAR_SET(ac_var,no)])])

Should probably be

+     [AS_VAR_SET(ac_var,no)],[AS_VAR_SET(ac_var,yes)])])

Comment 2 Michael Cronenworth 2022-11-18 17:12:39 UTC
Thanks. Have you submitted this upstream?

Comment 3 Frédéric Bérat 2022-11-18 17:17:50 UTC
(In reply to Michael Cronenworth from comment #2)
> Thanks. Have you submitted this upstream?

No sorry, I'm afraid I have enough to deal with regarding this autoconf 2.72 update :)
I leave the follow up to you.

Comment 4 Fedora Update System 2022-11-28 05:22:49 UTC
FEDORA-2022-d92e5f5f03 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d92e5f5f03

Comment 5 Fedora Update System 2022-11-28 05:32:48 UTC
FEDORA-2022-6520ef0a4b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6520ef0a4b

Comment 6 Fedora Update System 2022-11-29 02:20:23 UTC
FEDORA-2022-d92e5f5f03 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d92e5f5f03`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d92e5f5f03

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-29 02:30:57 UTC
FEDORA-2022-6520ef0a4b has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-6520ef0a4b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6520ef0a4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-11-30 01:35:13 UTC
FEDORA-2022-6520ef0a4b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-12-07 01:42:19 UTC
FEDORA-2022-d92e5f5f03 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.